Skip to main content
POST
/
api
/
v1
/
styles
/
{style_id}
/
skus
Create Style Skus
curl --request POST \
  --url https://staging.cutmake.ai/api/v1/styles/{style_id}/skus \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "color": "<string>",
      "size": "<string>",
      "qrData": "<string>",
      "isKittedBundle": false,
      "kittedBundle": [
        {}
      ]
    }
  ]
}
'
[
  {
    "id": "<string>",
    "documentId": "<string>",
    "color": "<string>",
    "size": "<string>",
    "qrData": "<string>",
    "isKittedBundle": false,
    "kittedBundle": [
      {}
    ]
  }
]

Headers

X-Org-Id
string | null

Path Parameters

style_id
string
required

Body

application/json
items
StyleSKUCreateItem · object[]
required
Minimum array length: 1

Response

Successful Response

id
string
required
documentId
string | null
color
string | null
size
string | null
qrData
string | null
isKittedBundle
boolean
default:false
kittedBundle
Kittedbundle · object[] | null